Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.aspectj.weaver.loadtime
Class ClassLoaderWeavingAdaptor

    java.lang.Object
      org.aspectj.weaver.tools.WeavingAdaptor
          org.aspectj.weaver.loadtime.ClassLoaderWeavingAdaptor

    public class ClassLoaderWeavingAdaptor

extends WeavingAdaptor

Author:
  Alexandre Vasseur

Nested Class Summary

Nested classes/interfaces inherited from class org.aspectj.weaver.tools.WeavingAdaptor
`WeavingAdaptor.WeavingAdaptorMessageHandler`

Field Summary

Fields inherited from class org.aspectj.weaver.tools.WeavingAdaptor
`bcelWorld, enabled, generatedClasses, generatedClassHandler, SHOW_WEAVE_INFO_PROPERTY, verbose, weaver, WEAVING_ADAPTOR_VERBOSE`

Constructor Summary
`ClassLoaderWeavingAdaptor(java.lang.ClassLoader loader, IWeavingContext wContext)`

Method Summary
`protected boolean` | `accept(java.lang.String className, byte[] bytes)`
`void` | `flushGeneratedClasses()` Flush the generated classes cache
`boolean` | `generatedClassesExist()` Check to see if any classes are stored in the generated classes cache.
`java.lang.String` | `getNamespace()`
`protected void` | `lint(java.lang.String name, java.lang.String[] infos)`
`protected boolean` | `shouldDump(java.lang.String className, boolean before)`

Methods inherited from class org.aspectj.weaver.tools.WeavingAdaptor
`addURL, dump, error, getMessageHandler, info, setMessageHandler, warn, warn, weaveClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassLoaderWeavingAdaptor

    public ClassLoaderWeavingAdaptor(java.lang.ClassLoader loader,
                                     IWeavingContext wContext)

Method Detail

### lint

    protected void lint(java.lang.String name,
                        java.lang.String[] infos)

### accept

    protected boolean accept(java.lang.String className,
                             byte[] bytes)

  Overrides:
    `accept` in class `WeavingAdaptor`

### shouldDump

    protected boolean shouldDump(java.lang.String className,
                                 boolean before)

  Overrides:
    `shouldDump` in class `WeavingAdaptor`

### getNamespace

    public java.lang.String getNamespace()

  Returns:
    Returns the key.

### generatedClassesExist

    public boolean generatedClassesExist()

  Check to see if any classes are stored in the generated classes cache. Then flush the cache if it is not empty

  Returns:
    true if a class has been generated and is stored in the cache

### flushGeneratedClasses

    public void flushGeneratedClasses()

  Flush the generated classes cache

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD